local mapinfo = {
   name        = "CanyonDuo",
   shortname   = "Canyon",
   description = "fast paced 8vs8+ (16x12)",
   author      = "[Fx]Doo",
   version     = "1.0",
   modtype     = 3, --// 3=map

   maphardness     = 300,
   notDeformable   = false,
   gravity         = 150,
   tidalStrength   = 18,
   maxMetal        = 12,
   extractorRadius = 32.0,
   voidWater       = false,
   voidGround      = false,
   autoShowMetal   = true,

   atmosphere = {
      minWind      = 5.0,
      maxWind      = 15.0,

      fogStart     = 0.999,
      fogEnd       = 1.0,
      fogColor     = {0.650, 0.772, 0.941},

      sunColor     = {0.9, 0.57, 0.48},
      skyColor     = {0.550, 0.672, 0.841},
      skyDir       = {0.0, 0.0, -1.0},

      cloudDensity = 0.80,
      cloudColor   = {0.7, 0.7, 0.7},
   },

   terrainTypes = {
      [0] = {
         name = "Default",
         hardness = 1.0,
         receiveTracks = true,
         moveSpeeds = {
            tank  = 1.0,
            kbot  = 1.0,
            hover = 1.0,
            ship  = 1.0,
         },
      },
      [1]  = { 
         name = "Rooftops",
         hardness = 1.0,
         receiveTracks = true,
         moveSpeeds = {
            tank  = 1.5,
            kbot  = 1.5,
            hover = 1.5,
            ship  = 1.5,
         },
	},
	},

  lighting = {
      --// dynsun
      sunStartAngle = 0.0,
      sunOrbitTime  = 1440.0,
      sunDir        = {1.0, 0.75, 2.0, 1e9},

      --// unit & ground lighting
      groundAmbientColor  = {0.450, 0.572, 0.741},
      groundDiffuseColor  = {0.9, 0.57, 0.48},
      groundSpecularColor = {0.1, 0.1, 0.1},
      groundShadowDensity = 1.0,
      unitAmbientColor    = {0.450, 0.572, 0.741},
      unitDiffuseColor    = {0.9, 0.57, 0.48},
      unitSpecularColor   = {0.7, 0.7, 0.7},
      unitShadowDensity   = 1.0,
      
      specularExponent    = 100.0,
   },

  water = {
      damage =  0,

      repeatX = 0.0,
      repeatY = 0.0,

      absorb    = {0.004, 0.003, 0.002},
      baseColor = {0.4, 0.7, 0.8},
      minColor  = {0.2, 0.35, 0.4},

      ambientFactor  = 1.0,
      diffuseFactor  = 1.0,
      specularFactor = 1.0,
      specularPower  = 20.0,

      planeColor = {0.1, 0.1, 0.3},

      surfaceColor  = {0.75, 0.8, 0.85},
      surfaceAlpha  = 0.55,
      diffuseColor  = {0.75, 0.8, 0.85},
      specularColor = {0.5, 0.5, 0.5},

      fresnelMin   = 0.2,
      fresnelMax   = 0.8,
      fresnelPower = 4.0,

      reflectionDistortion = 1.0,

      blurBase      = 2.0,
      blurExponent = 1.5,

      perlinStartFreq  =  8.0,
      perlinLacunarity = 3.0,
      perlinAmplitude  =  0.9,
      windSpeed = 1.0, --// does nothing yet

      shoreWaves = true,
      forceRendering = false,
      texture =       "",
      normalTexture = "",
	},

   teams = {
      [0] = {startPos = {x = 72, z = 2200}},
      [1] = {startPos = {x = 4500, z = 2200}},   
      [2] = {startPos = {x = 295, z = 2200}},
      [3] = {startPos = {x = 4300, z = 2200}}, 
      [4] = {startPos = {x = 310, z = 1300}},
      [5] = {startPos = {x = 4300, z = 1300}}, 
      [6] = {startPos = {x = 120, z = 450}},
      [7] = {startPos = {x = 4500, z = 500}}, 
      [8] = {startPos = {x = 385, z = 2800}},
      [9] = {startPos = {x = 4200, z = 2700}}, 
      [10] = {startPos = {x = 92, z = 1650}},
      [11] = {startPos = {x = 4525, z = 1640}}, 
   },
   
smf = {
      minHeight = -141,
      maxHeight = 359,
	},
}
return mapinfo